@()
<button
  type="button"
  class="close"
  ng-click="ctrl.close('interface.favorites')"
>
<i class="fa fa-arrow-left"></i>
</button>

<uib-tabset active="active">

  <uib-tab index="0" heading="{{'AUDIO' | translate}}" disable="!ctrl.isWebRtc()">

    <div class="modal-body p-0">
      <div class="menu-item-nohover">
        <label for="audioOutputSource">
          {{ 'DEVICES_AUDIO_OUTPUT' | translate }} 
        </label>
        <select
          id="audioOutputSource"
          ng-model="selectedAudioDevice"
          ng-change="ctrl.changeAudioOutputDevice(selectedAudioDevice)"
          class="form-control"
          ng-options="device.deviceId as device.label for device in ctrl.audioDevices"
        ></select>
      </div>
    
      <div class="menu-item-nohover">
        <label for="audioInputSource">
          {{ 'DEVICES_AUDIO_INPUT' | translate }}
        </label>
        <select
          id="audioInputSource"
          ng-model="selectedMicrophoneDevice"
          ng-change="ctrl.changeAudioInputDevice(selectedMicrophoneDevice)"
          ng-options="device.deviceId as device.label for device in ctrl.microphoneDevices"
          class="form-control"
          ng-disabled="ctrl.getAudioInputStatus()"
        ></select>
        <span ng-if="ctrl.getAudioInputStatus() == 'disabled'"><br/>⚠️ {{ 'CHANGE_AUDIO_INPUT_CONFERENCE_WARNING' | translate }}</span>
      </div>

      <div class="menu-item-nohover">
        <label for="ringingDevice">
          <span>{{'RINGING_DEVICE_LABEL' | translate}}</span>
        </label>
        <select
          id="ringingDevice"
          ng-model="selectedRingingDevice"
          ng-change="ctrl.changeRingingDevice(selectedRingingDevice)"
          ng-options="device.deviceId as device.label for device in ctrl.audioDevices"
          class="form-control"
          ng-disabled="ctrl.getAudioInputStatus()"
        ></select>
      </div>

      <div
        class="menu-item"
        ui-sref="interface.ringtoneSelection"
      >
        <span>{{'RINGTONE' | translate}}</span>
        <span class="pull-right"><i class="fas fa-music"></i></span>
      </div>
    <div
        class="menu-item"
        ui-sref=""
        ng-click="ctrl.initWebHID()"
      >
      <span>{{'WEBHID_HEADSET_FEATURE' | translate}}</span>
      <span class="pull-right">
        <i class="xivo-peripherique-de-sonnerie"></i>
      </span>
      <span ng-if="headsetName" class="menu-headset-name">
        {{headsetName}}
    </span>
    </div>
  </div>
    
  </uib-tab>

  <uib-tab index="1" heading="{{'CONTACT' | translate}}">
    <div class="modal-body p-0">
      <div ng-messages="ajaxRequest">
        <div ng-message="error">
          <div class="alert alert-danger alert-import">
            <b>{{'CONTACT_ERROR' | translate}}</b> {{'CONTACT_ERROR_IMPORT_GENERIC'
            | translate}}
          </div>
        </div>
        <div ng-message="errorInvalidContact">
          <div class="alert alert-danger alert-import">
            <b>{{'CONTACT_ERROR' | translate}}</b> {{'CONTACT_ERROR_IMPORT_INVALID'
            | translate}}
          </div>
        </div>
        <div ng-message="errorUnreachable">
          <div class="alert alert-danger alert-import">
            <b>{{'CONTACT_ERROR' | translate}}</b> {{'CONTACT_ERROR_UNREACHABLE' |
            translate}}
          </div>
        </div>
        <div ng-message="errorInvalidFileType">
          <div class="alert alert-danger alert-import">
            <b>{{'CONTACT_ERROR' | translate}}</b>
            {{'CONTACT_ERROR_INVALID_FILE_TYPE' | translate}}
          </div>
        </div>
        <div ng-message="errorFileTooLarge">
          <div class="alert alert-danger alert-import">
            <b>{{'CONTACT_ERROR' | translate}}</b> {{'CONTACT_ERROR_FILE_TOO_LARGE'
            | translate}}
          </div>
        </div>
        <div ng-message="errorNotHandledError">
          <div class="alert alert-danger alert-import">
            <b>{{'CONTACT_ERROR' | translate}}</b> {{'CONTACT_ERROR_IMPORT_GENERIC'
            | translate}}
          </div>
        </div>
        <div ng-message="success">
          <div class="alert alert-success alert-import text-left">
            <b>{{'CONTACT_IMPORTED' | translate}}</b>
            <ul>
              <li>
                <b>{{imported.created.length}}</b> {{'CONTACT_IMPORTED_SUCCESS' |
                translate}}
              </li>
              <li ng-show="imported.failed.length > 0">
                <b>{{imported.failed.length}}</b>
                {{'CONTACT_IMPORTED_FAILURE' | translate}}
                <small>
                  <div class="well well-sm help-block">
                    <span ng-repeat="error in imported.failed">
                      {{'CONTACT_IMPORTED_FAILURE_LINE' | translate}}:
                      <b>{{error.line}}</b><br />
                    </span>
                  </div>
                </small>
              </li>
            </ul>
          </div>
        </div>
      </div>

      <div class="menu-item" ui-sref="interface.personalContact">
        <span>{{'CONTACT_MENU_CREATE' | translate}}</span>
        <span class="pull-right"><i class="xivo-creer-contact"></i></span>
      </div>
      <div class="menu-item" ng-click="ctrl.uploadFile()">
        <input
          type="file"
          id="import-contacts"
          class="hide"
          file-input
          ng-model="importFile"
          accept=".csv,text/csv"
        />
        <span>{{'CONTACT_MENU_IMPORT' | translate}}</span>
        <span class="pull-right"><i class="xivo-importer-des-conatcts"></i></span>
      </div>
      <div class="menu-item" ng-click="ctrl.export()" target="_blank">
        <span>{{'CONTACT_MENU_EXPORT' | translate}}</span>
        <span class="pull-right"><i class="xivo-exporter-des-conatcts"></i></span>
      </div>
      <div class="menu-item" ng-click="ctrl.confirmDelete()">
        <span>{{'CONTACT_MENU_DELETE_ALL' | translate}}</span>
        <span class="pull-right"><i class="xivo-supprimer"></i></span>
      </div>
      <div class="menu-item" ui-sref="interface.meetingRooms" ng-if="ctrl.isJitsiAvailable()">
        <span>{{'CONTACT_MEETING_ROOM_CREATE' | translate}}</span>
        <div class="pull-right">
          <span><i class="fas fa-video"></i></span>
        </div>
      </div>
    </div>
  </uib-tab>

</uib-tabset>

<div class="modal-body logout">
  <div class="menu-item logout" ng-click="ctrl.logout()">
    <div class="centered-logout">
      <i class="fa fa-power-off fa-logout-button"></i>
      <b>{{'LOGOUT' | translate}}</b>
    </div>
  </div>
</div>
